#' @seealso
#'
#' * Chapter in the [mlr3book](https://mlr3book.mlr-org.com/):
#'   \url{https://mlr3book.mlr-org.com/chapters/chapter2/data_and_basic_modeling.html}
#' * Package \CRANpkg{mlr3data} for more toy tasks.
#' * Package \CRANpkg{mlr3oml} for downloading tasks from \url{https://www.openml.org}.
#' * Package \CRANpkg{mlr3viz} for some generic visualizations.
#' * [Dictionary][mlr3misc::Dictionary] of [Tasks][Task]: [mlr_tasks]
#' * `as.data.table(mlr_tasks)` for a table of available [Tasks][Task] in the running session (depending on the loaded packages).
#' * \CRANpkg{mlr3fselect} and \CRANpkg{mlr3filters} for feature selection and feature filtering.
#' * Extension packages for additional task types:
#'    * Unsupervised clustering: \CRANpkg{mlr3cluster}
#'    * Probabilistic supervised regression and survival analysis: \url{https://mlr3proba.mlr-org.com/}.
#'
#' @family Task
